Kapitel 5. Paketmanagement
Zurück | 5.50 `debsums` | Weiter

## 5.50 `debsums`

Mit dem Kommando `debsums` können die Checksummen von Dateien überprüft werden, die über Debian-Pakete auf dem System installiert wurden. Mit diesem Werkzeug kann der Systemadministrator Veränderungen an den Dateien des Systems feststellen. Diese Veränderungen können gewollt sein (Veränderungen an Konfigurationsdateien, Datei temporär gegen eine selbst übersetzte Version getauscht... usw.) oder aber auch von einem Angreifer stammen, der Dateien im System gegen veränderte Binaries ausgetauscht hat (beispielsweise `/bin/login`).

    fr@inari:~$ debsums --help
    debsums checks the MD5 sums of installed debian packages.

    Usage: debsums [OPTIONS] [PACKAGE|DEB] ...

    Options:
     -a, --all                    check configuration files (normally excluded)
     -c, --changed                report changed files (implies -s)
     -l, --list-missing           list packages which don't have an md5sums file
     -s, --silent                 only report errors
     -m, --md5sums=FILE           read list of deb checksums from FILE
     -r, --root=DIR               root directory to check (default /)
     -d, --admindir=DIR           dpkg admin directory (default /var/lib/dpkg)
     -p, --deb-path=DIR[:DIR...]  search path for debs
     -g, --generate=[all][,keep[,nocheck]]
                                  generate md5sums from deb contents
         --help                   print this help, then exit
         --version                print version number, then exit

Dem Programmaufruf können neben den Optionen noch Paketnamen übergeben werden, die gezielt überprüft werden sollen. Werden keine Paketnamen angegeben, so werden alle auf dem System installierten Pakete überprüft.

-a, --all

  Überprüft auch die Checksummen der Konfigurationsdateien eines Pakets. Diese werden normalerweise nicht überprüft, da an diesen Dateien häufig Anpassungen vorgenommen werden.

-c, --changed

  Zeigt veränderte Dateien an. Dies funktioniert nur zusammen mit der Option `-s`, da normalerweise alle Ergebnisse angezeigt werden.

-l, --list-missing

  Zeigt Dateien an, für die keine MD5-Checksumme auf dem System vorhanden ist. Diese kann nachträglich mit der Option `-g` erzeugt werden. Dies sollte nur geschehen, wenn absolut sicher ist, dass die Dateien nicht zwischenzeitlich bereits von einem Angreifer verändert wurden!

-s, --silent

  Zeigt ausschließlich Fehlermeldungen an. Informationen über korrekte Checksummen werden unterdrückt.

-m, --md5sums=FILE

  Liest die Checksummen der Pakete aus der Datei FILE statt aus der Debian-Datenbank.

-r, --root=DIR

  Ändert das Startverzeichnis von „/“ auf den angegebenen Wert. Hiermit kann die Überprüfung der Checksummen auf Teilbereiche des Dateisystems eingegrenzt werden.

-d, --admindir=DIR

  Ändert das Admin-Verzeichnis für `dpkg` (normalerweise `/var/lib/dpkg/`) auf den angegebenen Wert.

-p, --deb-path=DIR[:DIR...]

  Ändert das Suchverzeichnis für Debian-Pakete.

-g, --generate=[all][,keep[,nocheck]]

  Erzeugt fehlende Checksummen.

Zurück | Nach oben | Weiter
5.49 `configure-debian` | Zum Anfang | 5.51 `netselect`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).